%define	name	virt-viewer
%define	version	0.5.4
%define	release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Virtual Machine Viewer
License:    GPLv2+
Group:      Graphical desktop/GNOME
URL:        http://virt-manager.org/
Source:     http://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.gz
Patch0:		desktop-fix.diff
BuildRequires:  libvirt-devel
BuildRequires:	libgtk-vnc-devel
BuildRequires:	pkgconfig(spice-client-gtk-2.0)
BuildRequires:	xen-devel
BuildRequires:	libglade2-devel
BuildRequires:  intltool

%description
Virtual Machine Viewer (virt-viewer) is a lightweight interface for
interacting with the graphical display of a virtualized guest OS. It uses
GTK-VNC and libvirt to look up the VNC server details associated with the
guest. It is intended as a replacement for the traditional vncviewer
client, since the latter does not support SSL/TLS encryption of x509
certificate authentication.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}  

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/virt-viewer/ui/virt-viewer-about.xml
%{_datadir}/virt-viewer/ui/virt-viewer-auth.xml
%{_datadir}/virt-viewer/ui/virt-viewer.xml
%{_datadir}/applications/remote-viewer.desktop
%{_datadir}/icons/hicolor/16x16/apps/virt-viewer.png
%{_datadir}/icons/hicolor/22x22/apps/virt-viewer.png
%{_datadir}/icons/hicolor/24x24/apps/virt-viewer.png
%{_datadir}/icons/hicolor/256x256/apps/virt-viewer.png
%{_datadir}/icons/hicolor/32x32/apps/virt-viewer.png
%{_datadir}/icons/hicolor/48x48/apps/virt-viewer.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.5.4-3.mga3
+ Revision: 385423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 cjw <cjw> 0.5.4-2.mga3
+ Revision: 334090
- include spice client support

* Thu Oct 18 2012 tv <tv> 0.5.4-1.mga3
+ Revision: 307937
- new release

* Fri Aug 03 2012 tv <tv> 0.5.3-1.mga3
+ Revision: 278139
- patch 0: fix desktop file
- adjust file list
- new release

* Sat Jan 28 2012 tv <tv> 0.4.2-1.mga2
+ Revision: 202471
- new release

* Wed Sep 07 2011 tv <tv> 0.4.1-1.mga2
+ Revision: 140185
- new release
- further fix file list
- fix file list
- new release

* Tue Mar 15 2011 saispo <saispo> 0.3.1-1.mga1
+ Revision: 71975
- Add macro for language
- Add language files
- Add intltool BuildRequires
- imported package virt-viewer

